#

## findlabel

Set the cursor box to the location of the indicated label

### Usage:

> findlabel [-glob] label [occur]

> > where label is the name of an existing label in magic, and optional argument occur is an integer.

### Summary:

> The findlabel command can be used to center the cursor box on a specific named label in the layout.

> The -glob option causes findlabel to find all labels containing the text pattern of label. This is the way the findlabel command worked in versions of magic prior to 7.2.

> The optional argument occur will center the cursor box on the Nth instance of the label, where N=occur (option introduced in version 8.3.86). If occur is greater than the number of labels in the edit cell, then the result is the same as for a label that is not found.

### Implementation Notes:

> findlabel is implemented as a built-in command in magic.

Return to command index

Last updated: November 20, 2020 at 10:18am